#!/usr/bin/python
##### Smerni diagram piramidnega lijaka v kartezicnih koordinatah - S53MV 26.12.2017 #####

import math	#uporabljene funkcije

k=0.001		#korak risanja v radianih
h=3.0		#visina lijaka v valovnih dolzinah
w=4.0		#sirina lijaka v valovnih dolzinah

x=[]		#polja za risanje grafa
y=[]
z=[]

t=k/2.0		#kot theta v radianih
while t<=math.pi:
	x=x+[t]			#dodaj tocko v risbo
	f=(1.0+math.cos(t))/2.0
	fe=f*math.sin(h*math.pi*math.sin(t))/(h*math.pi*math.sin(t))
	fh=f*math.cos(w*math.pi*math.sin(t))/(1.0-(w*2.0*math.sin(t))**2)
	y=y+[math.fabs(fe)]
	z=z+[math.fabs(fh)]
	t=t+k			#povecaj t za korak

import matplotlib.pyplot as plt		#risanje grafa funkcije
plt.plot(x,y,'r-',lw=2)
plt.plot(x,z,'b-',lw=2)
plt.axis([0.0,math.pi,0.0,1.05])
plt.xticks([0.0,math.pi/4,math.pi/2,3*math.pi/4,math.pi])
plt.show()

#konec programa

